poppetje_start = '5_1';
kamer_lengte = 11;
kamer_breedte = 10;
vloer_disable = "";
vloer_disable = new Array();
vloer_disable[0] = "1_1";
vloer_disable[1] = "2_1";
vloer_disable[2] = "3_1";
vloer_disable[3] = "4_1";
vloer_disable[4] = "1_2";
vloer_disable[5] = "2_2";
vloer_disable[6] = "3_2";
vloer_disable[7] = "4_2";
vloer_disable[8] = "1_3";
vloer_disable[9] = "2_3";
vloer_disable[10] = "3_3";
vloer_disable[11] = "4_3";
vloer_disable[12] = "1_4";
vloer_disable[13] = "2_4";
vloer_disable[14] = "3_4";
vloer_disable[15] = "4_4";
function checktegels(posx, posy)
{
	to_return = "geen";
	tegel1 = 0;
	tegel2 = 0;
	tegelx = 0;
	tegely = 0;
	to_return = checkvloer(posx, posy, 310, 74, kamer_lengte, kamer_breedte);
	eval(vloer_eval);
	vloer_done = true;
	if (to_return == "geen")
	{
		HideContent('tegel_licht');
	}
	geven = new Array();
	geven[0] = to_return;
	geven[1] = tegel1;
	geven[2] = tegel2;
	geven[3] = tegelx;
	geven[4] = tegely;
	return geven;
}
function checkmuren(posx, posy, uitvoertype)
{
	to_return = "nee";
	to_return2 = 1;
	if (checkmuur(1, posx, posy, uitvoertype, 23, 101))
	{
		to_return = "ja";
		to_return2 = 1;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 55, 85))
	{
		to_return = "ja";
		to_return2 = 1;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 87, 69))
	{
		to_return = "ja";
		to_return2 = 1;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 119, 53))
	{
		to_return = "ja";
		to_return2 = 1;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 151, 37))
	{
		to_return = "ja";
		to_return2 = 1;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 183, 21))
	{
		to_return = "ja";
		to_return2 = 1;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 215, 21))
	{
		to_return = "ja";
		to_return2 = 2;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 247, 37))
	{
		to_return = "ja";
		to_return2 = 2;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 279, 53))
	{
		to_return = "ja";
		to_return2 = 2;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 311, 69))
	{
		to_return = "ja";
		to_return2 = 2;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 343, 70))
	{
		to_return = "ja";
		to_return2 = 1;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 375, 54))
	{
		to_return = "ja";
		to_return2 = 1;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 407, 38))
	{
		to_return = "ja";
		to_return2 = 1;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 439, 22))
	{
		to_return = "ja";
		to_return2 = 1;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 471, 21))
	{
		to_return = "ja";
		to_return2 = 2;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 503, 37))
	{
		to_return = "ja";
		to_return2 = 2;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 535, 53))
	{
		to_return = "ja";
		to_return2 = 2;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 567, 69))
	{
		to_return = "ja";
		to_return2 = 2;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 599, 85))
	{
		to_return = "ja";
		to_return2 = 2;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 631, 101))
	{
		to_return = "ja";
		to_return2 = 2;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 663, 117))
	{
		to_return = "ja";
		to_return2 = 2;
	}
	if (uitvoertype == 1)
	{
		if (to_return == "ja")
		{
			return true;
		}
		else
		{
			return false;
		}
	}
	else
	{
		return to_return2;
	}
}